> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /sedar/issuers/search

> Search SEDAR+ profiles (companies, investment funds, fund groups, industry participants, third party filers) by name/number with the full advanced-search filter surface

**Price:** 10 credits per 30 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/sedar/issuers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/sedar/issuers/search:
    post:
      tags:
        - /sedar
      summary: /sedar/issuers/search
      description: >-
        Search SEDAR+ profiles (companies, investment funds, fund groups,
        industry participants, third party filers) by name/number with the full
        advanced-search filter surface


        **Price:** 10 credits per 30 results
      operationId: __api_sedar_issuers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SedarIssuerSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SedarIssuerSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SedarIssuerSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        profile:
          type: string
          default: ''
        operator:
          $ref: '#/components/schemas/SedarSearchOperator'
          default: contains
        profile_type:
          anyOf:
            - $ref: '#/components/schemas/ProfileType'
            - type: 'null'
        reporting_obligation:
          anyOf:
            - $ref: '#/components/schemas/ReportingObligation'
            - type: 'null'
        principal_jurisdiction:
          anyOf:
            - $ref: '#/components/schemas/PrincipalJurisdiction'
            - type: 'null'
        reporting_jurisdiction:
          anyOf:
            - $ref: '#/components/schemas/ReportingJurisdiction'
            - type: 'null'
        prospectus_eligible:
          anyOf:
            - $ref: '#/components/schemas/ProspectusEligibility'
            - type: 'null'
        listed_exchange:
          anyOf:
            - $ref: '#/components/schemas/ListedExchange'
            - type: 'null'
        naics:
          anyOf:
            - type: string
            - type: 'null'
        year_end_type:
          anyOf:
            - $ref: '#/components/schemas/YearEndType'
            - type: 'null'
        org_or_individual:
          anyOf:
            - $ref: '#/components/schemas/OrgOrIndividual'
            - type: 'null'
        stock_symbol:
          anyOf:
            - type: string
            - type: 'null'
        default_status:
          anyOf:
            - $ref: '#/components/schemas/DefaultStatus'
            - type: 'null'
        active_cto:
          anyOf:
            - $ref: '#/components/schemas/ActiveCtoFilter'
            - type: 'null'
        disciplinary_action:
          anyOf:
            - $ref: '#/components/schemas/DisciplinaryFilter'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    SedarIssuerSummary:
      properties:
        '@type':
          type: string
          default: SedarIssuerSummary
        name:
          type: string
        profile_number:
          anyOf:
            - type: string
            - type: 'null'
        profile_type:
          anyOf:
            - type: string
            - type: 'null'
        principal_jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SedarSearchOperator:
      type: string
      enum:
        - starts_with
        - contains
    ProfileType:
      type: string
      enum:
        - industry_participant
        - company
        - investment_fund
        - investment_fund_group
        - third_party_filer
    ReportingObligation:
      type: string
      enum:
        - only_reporting
        - only_non_reporting
    PrincipalJurisdiction:
      type: string
      enum:
        - alberta
        - british_columbia
        - manitoba
        - new_brunswick
        - nova_scotia
        - ontario
        - quebec
        - saskatchewan
        - none
    ReportingJurisdiction:
      type: string
      enum:
        - alberta
        - british_columbia
        - manitoba
        - new_brunswick
        - newfoundland_and_labrador
        - northwest_territories
        - nova_scotia
        - nunavut
        - ontario
        - prince_edward_island
        - quebec
        - saskatchewan
        - yukon
    ProspectusEligibility:
      type: string
      enum:
        - eligible
        - not_eligible
    ListedExchange:
      type: string
      enum:
        - tsx
        - tsx_venture
        - cboe_canada
        - cse
        - cse_senior_tier
        - nasdaq_canada
        - nex
        - tsx_alpha
        - other_canada
        - nyse
        - nasdaq
        - nyse_american
        - us_bse_cboe_chx_ise_phlx_pcx
        - otc_markets
        - otc_bulletin_board
        - other_usa
        - australia_asx
        - euronext_paris
        - frankfurt
        - hong_kong
        - mexico_bmv
        - santiago
        - shanghai
        - shenzhen
        - taiwan
        - tokyo
        - london
        - london_aim
        - other_outside_canada_usa
    YearEndType:
      type: string
      enum:
        - floating
        - fixed
    OrgOrIndividual:
      type: string
      enum:
        - organizations
        - individuals
    DefaultStatus:
      type: string
      enum:
        - in_default
        - not_in_default
    ActiveCtoFilter:
      type: string
      enum:
        - with_active_cto
        - without_active_cto
    DisciplinaryFilter:
      type: string
      enum:
        - with_disciplinary_action
        - without_disciplinary_action
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````